Bug 32147 - Capitalization: E-Resource management should be E-resource management
Summary: Capitalization: E-Resource management should be E-resource management
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on: 32030
Blocks: 32131
  Show dependency treegraph
 
Reported: 2022-11-09 13:20 UTC by Katrin Fischer
Modified: 2022-11-16 11:47 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00


Attachments
Bug 32147: Capitalization: E-Resource management (12.90 KB, patch)
2022-11-09 13:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 32147: Capitalization: E-Resource management (13.03 KB, patch)
2022-11-09 13:46 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 32147: (follow-up) Fix missing space (1.31 KB, patch)
2022-11-09 16:23 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 32147: Capitalization: E-Resource management (13.08 KB, patch)
2022-11-10 16:59 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 32147: (follow-up) Fix missing space (1.36 KB, patch)
2022-11-10 16:59 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 32147: Capitalization: E-Resource management (13.39 KB, patch)
2022-11-16 08:01 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2022-11-09 13:20:38 UTC
This is according to our capitalization rules.
Comment 1 Katrin Fischer 2022-11-09 13:28:58 UTC
https://www.dictionary.com/browse/e-

It doesn't have e-resource, but it has other examples of e- and in all those cases the second word is not capitalized.
Comment 2 Katrin Fischer 2022-11-09 13:39:50 UTC
Created attachment 143510 [details] [review]
Bug 32147: Capitalization: E-Resource management

When e- is used as prefix, the second word should not
be capitalized.

To test:
* Best to check the code... but:
* All E-Resource should now read E-resource, as on:
  * Koha start page
  * Breadcrumbs in the ERM module
  * Descriptions of AV categories...

I chose to update the sysprefs.sql and the DB update as well
as this hasn't been released yet.
Comment 3 Katrin Fischer 2022-11-09 13:46:39 UTC
Created attachment 143511 [details] [review]
Bug 32147: Capitalization: E-Resource management

When e- is used as prefix, the second word should not
be capitalized. And when e-resource-management is used
as part of a sentence, the e shouldn't be either.
See: e-mail, e-commerce. etc.

To test:
* Best to check the code... but:
* All E-Resource should now read e-resource or E-resource, as on:
  * Koha start page
  * Breadcrumbs in the ERM module
  * Descriptions of AV categories...

I chose to update the sysprefs.sql and the DB update as well
as this hasn't been released yet.
Comment 4 Martin Renvoize 2022-11-09 14:06:01 UTC
Must admit.. I don't know what the standard terms are here really.. 

I feel like it's an abbreviation and should be 'ERM' or 'Electronic resource management'.. 'E-resource management' feels strange to look at.. 'e-resource management' not so strange, but doesn't capitalise well for sentence case.
Comment 6 Katrin Fischer 2022-11-09 14:32:17 UTC
I tried changing the button on the start page to Electronic resource management, but it adds a line break. Changing this might require a bit more than a string change then. 

I like ERM and Eletronic resource management, but I really want to have a solution before we reach string freeze tomorrow.
Comment 7 Caroline Cyr La Rose 2022-11-09 15:20:10 UTC
Disclaimer: as you all know, English is not my first language, so take my comments accordingly.

Personally, I like the long form better; Electronic resource management.

Also, I've always seen the small e when used for "electronic", like e-Book or eBook, except where the word has entered regular vocabulary, like Email.
Comment 8 Caroline Cyr La Rose 2022-11-09 16:09:36 UTC
There is a space missing in the description of the ERM_AGREEMENT_LICENSE_STATUS authorized value category.

Statuses of the licenses' agreements(e-resource management module)

Should be

Statuses of the licenses' agreements (e-resource management module)
Comment 9 Katrin Fischer 2022-11-09 16:23:06 UTC
Created attachment 143522 [details] [review]
Bug 32147: (follow-up) Fix missing space

One of the AV category descriptions was missing a space
before the (e-resource management).
Comment 10 Caroline Cyr La Rose 2022-11-09 17:34:51 UTC
Main page - OK

More menu - OK

ERM module - I'm missing the yarn thing, so I didn't test that, sorry...

System preferences - OK

Authorized values - OK
Comment 11 Jonathan Field 2022-11-10 09:48:31 UTC
(In reply to Martin Renvoize from comment #4)
> Must admit.. I don't know what the standard terms are here really.. 
> 
> I feel like it's an abbreviation and should be 'ERM' or 'Electronic resource
> management'.. 'E-resource management' feels strange to look at.. 'e-resource
> management' not so strange, but doesn't capitalise well for sentence case.

There's actually a reason behind this! Electronic Resource Management is really the proper term but, when we used that initially, the string was so long that it looked very odd on the dropdown menu and the Koha Home screen. So we shortened!
Comment 12 Katrin Fischer 2022-11-10 09:51:08 UTC
I completely understand about avoiding the longer form, but the capital R is what triggers me as it stands out in the interface now going against our rules. 

For me this would work like e-mail, e-commerce, e-resource... e-journal.

It's not a name, it's not an abbreviation and the dictionaries suggest the lower r.

We refer to that dictionary on https://wiki.koha-community.org/wiki/Terminology.
Comment 13 Jonathan Field 2022-11-10 10:15:38 UTC
(In reply to Katrin Fischer from comment #12)
> I completely understand about avoiding the longer form, but the capital R is
> what triggers me as it stands out in the interface now going against our
> rules. 
> 
> For me this would work like e-mail, e-commerce, e-resource... e-journal.
> 
> It's not a name, it's not an abbreviation and the dictionaries suggest the
> lower r.
> 
> We refer to that dictionary on
> https://wiki.koha-community.org/wiki/Terminology.

Fine, let's go with your proposal then!
Comment 14 Owen Leonard 2022-11-10 16:59:00 UTC
Created attachment 143695 [details] [review]
Bug 32147: Capitalization: E-Resource management

When e- is used as prefix, the second word should not
be capitalized. And when e-resource-management is used
as part of a sentence, the e shouldn't be either.
See: e-mail, e-commerce. etc.

To test:
* Best to check the code... but:
* All E-Resource should now read e-resource or E-resource, as on:
  * Koha start page
  * Breadcrumbs in the ERM module
  * Descriptions of AV categories...

I chose to update the sysprefs.sql and the DB update as well
as this hasn't been released yet.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 15 Owen Leonard 2022-11-10 16:59:05 UTC
Created attachment 143696 [details] [review]
Bug 32147: (follow-up) Fix missing space

One of the AV category descriptions was missing a space
before the (e-resource management).

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 16 Jonathan Druart 2022-11-16 08:01:03 UTC
Created attachment 143937 [details] [review]
Bug 32147: Capitalization: E-Resource management

When e- is used as prefix, the second word should not
be capitalized. And when e-resource-management is used
as part of a sentence, the e shouldn't be either.
See: e-mail, e-commerce. etc.

To test:
* Best to check the code... but:
* All E-Resource should now read e-resource or E-resource, as on:
  * Koha start page
  * Breadcrumbs in the ERM module
  * Descriptions of AV categories...

I chose to update the sysprefs.sql and the DB update as well
as this hasn't been released yet.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Bug 32147: (follow-up) Fix missing space

One of the AV category descriptions was missing a space
before the (e-resource management).

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 17 Tomás Cohen Arazi 2022-11-16 11:47:48 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!